Package org.eclipse.ui

# Interface IWorkbenchPartConstants

public interface IWorkbenchPartConstants
This interface describes the constants used for `IWorkbenchPart` properties.

Note:This interface should not be implemented or extended.

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`PROP_CONTENT_DESCRIPTION`
The property id for `IWorkbenchPart2.getContentDescription()`
`static final int`
`PROP_DIRTY`
The property id for `ISaveablePart.isDirty()`.
`static final int`
`PROP_INPUT`
The property id for `IEditorPart.getEditorInput()`.
`static final int`
`PROP_PART_NAME`
The property id for `IWorkbenchPart2.getPartName`
`static final int`
`PROP_PREFERRED_SIZE`
The property id for any method on the optional `ISizeProvider` interface
`static final int`
`PROP_TITLE`
The property id for `getTitle`, `getTitleImage` and `getTitleToolTip`.

## Field Details

### PROP_TITLE

static final int PROP_TITLE
The property id for `getTitle`, `getTitleImage` and `getTitleToolTip`.

See Also:
  - Constant Field Values

### PROP_DIRTY

static final int PROP_DIRTY
The property id for `ISaveablePart.isDirty()`.

See Also:
  - Constant Field Values

### PROP_INPUT

static final int PROP_INPUT
The property id for `IEditorPart.getEditorInput()`.

See Also:
  - Constant Field Values

### PROP_PART_NAME

static final int PROP_PART_NAME
The property id for `IWorkbenchPart2.getPartName`

See Also:
  - Constant Field Values

### PROP_CONTENT_DESCRIPTION

static final int PROP_CONTENT_DESCRIPTION
The property id for `IWorkbenchPart2.getContentDescription()`

See Also:
  - Constant Field Values

### PROP_PREFERRED_SIZE

static final int PROP_PREFERRED_SIZE
The property id for any method on the optional `ISizeProvider` interface

Since:
  3.4
See Also:
  - Constant Field Values